RpfAttributes (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.rpf
Class RpfAttributes

    java.lang.Object
      com.bbn.openmap.layer.rpf.RpfAttributes

    public class RpfAttributes

extends java.lang.Object

This class knows how to read the attribute section of an RPF file. This section includes all the information about the image, including source and production information.

Nested Class Summary
`static class` | `RpfAttributes.AttributeOffsetRecord`
`static class` | `RpfAttributes.AttributeSubheader`

Field Summary
`java.lang.String` | `chartSeriesCode`
`java.lang.String` | `currencyDate`
`int` | `dataLevel`
`java.lang.String` | `dataSource`
`java.lang.String` | `edition`
`java.lang.String` | `ellipsoidCode`
`float` | `eMagChange`
`int` | `eMagChangeUnits`
`java.lang.String` | `gridCode`
`float` | `gridConver`
`int` | `gridConverUnits`
`long` | `gsd`
`double` | `highElevation`
`int` | `highElevationUnits`
`double` | `highLat`
`double` | `highLon`
`long` | `horAbsAccuracy`
`int` | `horAbsUnits`
`java.lang.String` | `horDatumCode`
`long` | `horRelAccuracy`
`int` | `horRelUnits`
`java.lang.String` | `legendFileName`
`float` | `magAngle`
`int` | `magAngleUnits`
`java.lang.String` | `mapDesignationCode`
`int` | `navSystemCode`
`java.lang.String` | `oldHorDatum`
`java.lang.String` | `productionDate`
`float` | `projectionA`
`float` | `projectionB`
`float` | `projectionC`
`java.lang.String` | `projectionCode`
`float` | `projectionD`
`java.lang.String` | `significantDate`
`java.lang.String` | `soundingDatumCode`
`long` | `vertAbsAccuracy`
`int` | `vertAbsUnits`
`java.lang.String` | `vertDatumCode`
`long` | `vertRelAccuracy`
`int` | `vertRelUnits`
`float` | `wMagChange`
`int` | `wMagChangeUnits`

Constructor Summary
`RpfAttributes()`

Method Summary
`static RpfAttributes` | `getAttributes(BinaryFile binFile)` Get the attributes from within a RPF Frame file, after the header has been read.
`static RpfAttributes` | `getAttributes(java.lang.String filename)` Get the attributes from within a RPF Frame file.
`static void` | `main(java.lang.String[] args)`
`boolean` | `read(BinaryFile binFile, long attributeLocation)` Read the section in a file.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### currencyDate

    public java.lang.String currencyDate

### productionDate

    public java.lang.String productionDate

### significantDate

    public java.lang.String significantDate

### chartSeriesCode

    public java.lang.String chartSeriesCode

### mapDesignationCode

    public java.lang.String mapDesignationCode

### oldHorDatum

    public java.lang.String oldHorDatum

### edition

    public java.lang.String edition

### projectionCode

    public java.lang.String projectionCode

### projectionA

    public float projectionA

### projectionB

    public float projectionB

### projectionC

    public float projectionC

### projectionD

    public float projectionD

### vertDatumCode

    public java.lang.String vertDatumCode

### horDatumCode

    public java.lang.String horDatumCode

### vertAbsAccuracy

    public long vertAbsAccuracy

### vertAbsUnits

    public int vertAbsUnits

### horAbsAccuracy

    public long horAbsAccuracy

### horAbsUnits

    public int horAbsUnits

### vertRelAccuracy

    public long vertRelAccuracy

### vertRelUnits

    public int vertRelUnits

### horRelAccuracy

    public long horRelAccuracy

### horRelUnits

    public int horRelUnits

### ellipsoidCode

    public java.lang.String ellipsoidCode

### soundingDatumCode

    public java.lang.String soundingDatumCode

### navSystemCode

    public int navSystemCode

### gridCode

    public java.lang.String gridCode

### eMagChange

    public float eMagChange

### eMagChangeUnits

    public int eMagChangeUnits

### wMagChange

    public float wMagChange

### wMagChangeUnits

    public int wMagChangeUnits

### magAngle

    public float magAngle

### magAngleUnits

    public int magAngleUnits

### gridConver

    public float gridConver

### gridConverUnits

    public int gridConverUnits

### highElevation

    public double highElevation

### highElevationUnits

    public int highElevationUnits

### highLat

    public double highLat

### highLon

    public double highLon

### legendFileName

    public java.lang.String legendFileName

### dataSource

    public java.lang.String dataSource

### gsd

    public long gsd

### dataLevel

    public int dataLevel

Constructor Detail

### RpfAttributes

    public RpfAttributes()

Method Detail

### read

    public boolean read(BinaryFile binFile,
                        long attributeLocation)

  Read the section in a file. The method will start reading from the offset provided.

  Parameters:
    `binFile` - the opened RPF file.
    `attributeLocation` - the offset of the attribute section in the file.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getAttributes

    public static RpfAttributes getAttributes(java.lang.String filename)
                                       throws java.io.IOException,
                                              java.io.FileNotFoundException

  Get the attributes from within a RPF Frame file. Returns null if something goes wrong. You do need to make sure that the Debug class is initialized before calling this class. For OpenMap, it usually is.

  Parameters:
    `filename` - the file path for the RPF frame file.
  Returns:
    a RpfAttributes object.
  Throws:
    `java.io.IOException`
    `java.io.FileNotFoundException`

### getAttributes

    public static RpfAttributes getAttributes(BinaryFile binFile)
                                       throws java.io.IOException,
                                              java.io.FileNotFoundException

  Get the attributes from within a RPF Frame file, after the header has been read. Returns null if something goes wrong. You do need to make sure that the Debug class is initialized before calling this class. For OpenMap, it usually is.

  Parameters:
    `binFile` - BinaryFile.
  Returns:
    a RpfAttributes object.
  Throws:
    `java.io.IOException`
    `java.io.FileNotFoundException`

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details